Edje Class: Size

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Edje Class: Size
Edje » Edje Object

Functions that deal with Size Classes. More...

## Functions
Eina_Bool | edje_size_class_set (const char *size_class, Evas_Coord minw, Evas_Coord minh, Evas_Coord maxw, Evas_Coord maxh)
| Sets the Edje size class.
Eina_Bool | edje_size_class_get (const char *size_class, Evas_Coord *minw, Evas_Coord *minh, Evas_Coord *maxw, Evas_Coord *maxh)
| Gets the Edje size class.
void | edje_size_class_del (const char *size_class)
| Deletes the size class.
Eina_List * | edje_size_class_list (void)
| Lists size classes.
Eina_Iterator * | edje_size_class_active_iterator_new (void)
| Iterates over all active classes of an application.
Eina_Iterator * | edje_mmap_size_class_iterator_new (Eina_File *f)
| Iterates over all size classes provided by an Edje file.
Eina_Bool | edje_object_size_class_set (Evas_Object *obj, const char *size_class, int minw, int minh, int maxw, int maxh)
| Sets the object size class.
Eina_Bool | edje_object_size_class_get (const Evas_Object *obj, const char *size_class, int *minw, int *minh, int *maxw, int *maxh)
| Gets the object size class.
void | edje_object_size_class_del (Evas_Object *obj, const char *size_class)
| Delete the object size class.

## Detailed Description

Functions that deal with Size Classes.

Sometimes we want to change the size of two or more parts equally and that's when we use size classes.

If one or more parts are assigned with a size class, when we set attributes (minw etc.) to this class will update all these parts with the new attributes. Setting values to a size class at a process level will affect all parts with that size class, while at object level will affect only the parts inside an specified object.

## Function Documentation

## ◆ edje_size_class_set()

Eina_Bool edje_size_class_set | ( | const char * | size_class,
|  | Evas_Coord | minw,
|  | Evas_Coord | minh,
|  | Evas_Coord | maxw,
|  | Evas_Coord | maxh
| ) |  |

Sets the Edje size class.

Parameters

  size_class | The size class name
  minw | The min width
  minh | The min height
  maxw | The max width
  maxh | The max height

Returns
  `EINA_TRUE` on success, or `EINA_FALSE` on error

This function updates all Edje members at the process level which belong to this size class with the new min and max attributes.

See also
  edje_size_class_get().

Since
  1.17

## ◆ edje_size_class_get()

Eina_Bool edje_size_class_get | ( | const char * | size_class,
|  | Evas_Coord * | minw,
|  | Evas_Coord * | minh,
|  | Evas_Coord * | maxw,
|  | Evas_Coord * | maxh
| ) |  |

Gets the Edje size class.

Parameters

  size_class | The size class name
  minw | The min width
  minh | The min height
  maxw | The max width
  maxh | The max height

Returns
  `EINA_TRUE` on success, or `EINA_FALSE` on error

This function gets the min and max size from the specified Edje size class.

Since
  1.17

## ◆ edje_size_class_del()

void edje_size_class_del | ( | const char * | size_class | ) |

Deletes the size class.

Parameters

  size_class | The size class name

This function deletes any values at the process level for the specified size class.

Since
  1.17

## ◆ edje_size_class_list()

Eina_List * edje_size_class_list | ( | void |  | ) |

Lists size classes.

Returns
  A list of size class names (strings). These strings are stringshares and the list must be eina_stringshare_del()'ed by the caller.

This function lists all size classes known about by the current process.

Since
  1.17

References eina_hash_foreach().

## ◆ edje_size_class_active_iterator_new()

Eina_Iterator * edje_size_class_active_iterator_new | ( | void |  | ) |

Iterates over all active classes of an application.

Returns
  An iterator of Edje_Size_Class of the currently active size class

This function only iterates over the Edje_Size_Class in use by an application.

Since
  1.17

References EINA_MAGIC_SET.

## ◆ edje_mmap_size_class_iterator_new()

Eina_Iterator * edje_mmap_size_class_iterator_new | ( | Eina_File * | f | ) |

Iterates over all size classes provided by an Edje file.

Parameters

  f | The mapped edje file.

Returns
  an iterator of Edje_Size_Class provided by the Edje file.

Since
  1.17

References eina_hash_iterator_tuple_new(), and EINA_MAGIC_SET.

## ◆ edje_object_size_class_set()

Eina_Bool edje_object_size_class_set | ( | Evas_Object * | obj,
|  | const char * | size_class,
|  | int | minw,
|  | int | minh,
|  | int | maxw,
|  | int | maxh
| ) |  |

Sets the object size class.

This function sets the min and max values for an object level size class. This will make all edje parts in the specified object that have the specified size class update their min and max size with given values.

Parameters

  [in] | size_class | The size class name
  [in] | minw | The min width
  [in] | minh | The min height
  [in] | maxw | The max width
  [in] | maxh | The max height

Returns
  `true`, on success or `false`, on error

Since
  1.17

## ◆ edje_object_size_class_get()

Eina_Bool edje_object_size_class_get | ( | const Evas_Object * | obj,
|  | const char * | size_class,
|  | int * | minw,
|  | int * | minh,
|  | int * | maxw,
|  | int * | maxh
| ) |  |

Gets the object size class.

This function gets the min and max values for an object level size class. These values will only be valid until the size class is changed or the edje object is deleted.

Parameters

  [in] | size_class | The size class name
  [out] | minw | The min width
  [out] | minh | The min height
  [out] | maxw | The max width
  [out] | maxh | The max height

Returns
  `true`, on success or `false`, on error

Since
  1.17

## ◆ edje_object_size_class_del()

void edje_object_size_class_del | ( | Evas_Object * | obj,
|  | const char * | size_class
| ) |  |

Delete the object size class.

This function deletes any values at the object level for the specified object and size class.

Deleting the size class will revert it to the values defined by edje_size_class_set() or the color class defined in the theme file.

Parameters

  [in] | size_class | Size class name

Since
  1.17